<template>
  <div class="product-catalog" v-if="product">
    <div class="shadow-card">
      <nuxt-link :to="'/products/' + product.id">
        <div class="product-image">
          <img :src="product.image" />
        </div>
      </nuxt-link>
      <div class="product-info">
        <nuxt-link :to="'/products/' + product.id">
          <div class="product-name">
            {{ product.name }}
          </div>
          <div class="product-price">
            Rp. {{ product.price | formatNumber }}
          </div>
          <div class="popularity">
            <div class="product-rating">
              <i class="star"></i><span>{{ product.rating }}</span>
            </div>
            <div class="product-rating" style="margin-left: 20px;">
              <i class="heart"></i><span>{{ product.favorite }}</span>
            </div>
          </div>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: {
    product: {
      type: Object,
      default: null
    }
  },
  created() {},
  methods: {
    hanldeProductDetail() {
      this.$router.push({
        path: this.localePath("search"),
        query: { q: this.q }
      });
      this.$store.dispatch("products/findById", params.id);
    }
  }
};
</script>
<style lang="scss" scoped>
img {
  display: block;
  width: 100%;
  background-size: cover;
}
.productCard__anchor {
  position: relative;
  padding-top: 100%;
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
}

.product-catalog {
  background: white;
  display: inline-flex;
  -webkit-box-align: stretch;
  align-items: stretch;
  width: 20%;
  padding: 0px 8px 16px;
  box-sizing: border-box;
}
.shadow-card {
  display: block;
  position: relative;
  padding: 0px;
  background-color: rgb(255, 255, 255);
  overflow: hidden;
  height: 100%;
  border-radius: 9px;
  box-shadow: rgba(49, 53, 59, 0.12) 0px 1px 6px 0px;
  margin: 0px;
}
.product-image {
  background-color: transparent;
  height: auto;
  margin: 0px auto;
  position: relative;
  text-align: center;
  width: 100%;
  display: block;
}

.product-info {
  padding: 8px;
  height: auto;
  vertical-align: middle;
  width: 100%;
  position: relative;
  display: flex;
  flex: 1 1 0%;
  flex-direction: column;
}
.product-name {
  margin-bottom: 4px;
  font-size: 0.86rem;
  color: rgba(49, 53, 59, 0.96);
  max-width: 100%;
  max-height: 100%;
  text-overflow: ellipsis;
  overflow: hidden;
  line-height: 1.5;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
.product-price {
  display: flex;
  -webkit-box-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  margin-bottom: 4px;
  color: rgba(49, 53, 59, 0.96);
  opacity: 1;
  font-size: 1rem;
  font-weight: bold;
  align-items: flex-end;
  line-height: 1.43;
}

.popularity {
  display: flex;
  float: left;
  align-content: flex-start;
}
.product-rating {
  color: rgba(49, 53, 59, 0.68);
  background-color: rgb(255, 255, 255);
  display: flex;
  -webkit-box-align: center;
  justify-content: flex-start;
  align-items: center;
  overflow: hidden;
}

.star {
  display: inline-block;
  vertical-align: middle;
  width: 14px;
  height: 14px;
  margin: 0px 4px 4px;
  background: url("~assets/images/star.svg") left center / contain no-repeat;
}
.heart {
  display: inline-block;
  vertical-align: middle;
  width: 14px;
  height: 14px;
  margin: 0px 4px 4px;
  background: url("~assets/images/heart.svg") left center / contain no-repeat;
}

@media only screen and (max-width: 800px) {
  .product-catalog {
    flex-basis: 25%;
  }
}
@media only screen and (max-width: 600px) {
  .product-catalog {
    flex-basis: 50%;
  }
}
</style>
